import request from '../../utils/request'

export function getUnTriagedPatient(currentPage, pageSize) {
  return request({
    url: '/triage/getUnTriagedPatients',
    method: 'get',
    params: { currentPage, pageSize },
  })
}

export function confirmFuZhen(serialNo) {
  return request({
    url: '/triage/fuZhen',
    method: 'get',
    params: { serialNo },
  })
}

export function fetchVitalSign(patientId) {
  return request({
    url: '/triage/getMzVitalSigns',
    method: 'get',
    params: { patientId },
  })
}

export function saveMzVitalSigns(data) {
  return request({
    url: '/triage/saveMzVitalSigns',
    method: 'post',
    data,
  })
}

export function getChosenDept() {
  return request({
    url: '/triage/getChosenDept',
    method: 'get',
  })
}

export function getRooms(deptCode) {
  return request({
    url: '/triage/getRooms',
    method: 'get',
    params: { deptCode },
  })
}

export function fenZhen(data) {
  return request({
    url: '/triage/fenZhen',
    method: 'post',
    data,
  })
}

export function getTriagedPatients() {
  return request({
    url: '/triage/getTriagedPatients',
    method: 'get',
  })
}

export function getTreatedPatients() {
  return request({
    url: '/triage/getTreatedPatients',
    method: 'get',
  })
}

export function cancelTriage(serialNo) {
  return request({
    url: '/triage/cancelTriage',
    method: 'get',
    params: { serialNo },
  })
}

export function getAllPatients(searchContent, currentPage, pageSize) {
  return request({
    url: '/triage/getAllPatients',
    method: 'get',
    params: { searchContent, currentPage, pageSize },
  })
}

export function getAllMzDept() {
  return request({
    url: '/triageSettings/getAllMzDept',
    method: 'get',
  })
}

export function getChosenDeptsForSetting() {
  return request({
    url: '/triageSettings/getChosenDept',
    method: 'get',
  })
}

export function saveChosenDept(data) {
  return request({
    url: '/triageSettings/saveChosenDept',
    method: 'post',
    data,
  })
}

export function searchDoctor(content) {
  return request({
    url: '/triageSettings/searchDoctor',
    method: 'get',
    params: { content },
  })
}

export function getChosenRoom() {
  return request({
    url: '/triageSettings/getChosenRoom',
    method: 'get',
  })
}

export function getReqs() {
  return request({
    url: '/triageSettings/getReqs',
    method: 'get',
  })
}

export function updateRoomSettings(data) {
  return request({
    url: '/triageSettings/updateRoomSettings',
    method: 'post',
    data,
  })
}

export function getAllRoomIp() {
  return request({
    url: '/triageSettings/getAllRoomIp',
    method: 'get',
  })
}

export function updateRoomIp(data) {
  return request({
    url: '/triageSettings/updateRoomIp',
    method: 'post',
    data,
  })
}

export function pushMsg(data) {
  return request({
    url: '/roomScreen/pushMsg',
    method: 'post',
    data,
  })
}

export function getBigScreenData(fullName) {
  return request({
    url: '/triage/getBigScreenData',
    method: 'get',
    params: { fullName },
  })
}

export function notifyComplete(serialNo) {
  return request({
    url: '/triage/notifyComplete',
    method: 'get',
    params: { serialNo },
  })
}

export function getNextJzList(data) {
  return request({
    url: '/roomScreen/getNextJzList',
    method: 'post',
    data,
  })
}

export function getDoctorInfo(code) {
  return request({
    url: '/roomScreen/getDoctorInfo',
    method: 'get',
    params: { code },
  })
}

export function getRoomNoAndDept(roomCode) {
  return request({
    url: '/roomScreen/getRoomNoAndDept',
    method: 'get',
    params: { roomCode },
  })
}

export function getVideoList() {
  return request({
    url: '/roomScreen/getVideoList',
    method: 'get',
  })
}
